import { UtilService } from '../../services/util.service';
import { HttpWebRequestService } from '../../services/http-web-request.service';
import { TaskNotification } from '../../models/TaskNotification';
import { ColumnDefinition, DropdownLoadEvent } from 'verben-ng-ui';
import { SMSConfig } from '../../models/SMSConfig';
import { EnvironmentService } from '../../services/environment.service';
import { ReportSchedule } from '../../models/ReportSchedule';
import { MailConfig } from '../../models/MailConfig';
import * as i0 from "@angular/core";
export declare class TaskNotificationService {
    private utilService;
    private server;
    private envSvc;
    pageSize: number;
    constructor(utilService: UtilService, server: HttpWebRequestService, envSvc: EnvironmentService);
    get taskNotificationColumns(): ColumnDefinition<TaskNotification>[];
    getAllReportSchedules(): Promise<ReportSchedule[] | undefined>;
    loadMoreReportSchedules(event: DropdownLoadEvent): Promise<ReportSchedule[]>;
    searchReportSchedules(param: string, event: DropdownLoadEvent): Promise<ReportSchedule[]>;
    getAsyncReportScheduleLabel(value: string): Promise<string>;
    getAllSMSConfigs(): Promise<SMSConfig[] | undefined>;
    loadMoreSMSConfigs(event: DropdownLoadEvent): Promise<SMSConfig[]>;
    searchSMSConfigs(param: string, event: DropdownLoadEvent): Promise<SMSConfig[]>;
    getAsyncSMSConfigLabel(value: string): Promise<string>;
    getAllMailConfigs(): Promise<MailConfig[] | undefined>;
    loadMoreMailConfigs(event: DropdownLoadEvent): Promise<MailConfig[]>;
    searchMailConfigs(param: string, event: DropdownLoadEvent): Promise<MailConfig[]>;
    getAsyncMailConfigLabel(value: string): Promise<string>;
    loadEntities<T>(entity: string, fields: string[], env: string, event?: DropdownLoadEvent | null): Promise<T[]>;
    loadEntitiesOld<T>(entity: string, fields: string[], env: string, event?: DropdownLoadEvent | null): Promise<T[]>;
    searchEntities<T>(entity: string, fields: string[], searchBy: string[], env: string, param: string, event?: DropdownLoadEvent | null): Promise<T[]>;
    searchEntitiesOld<T>(entity: string, fields: string[], searchBy: string[], env: string, param: string, event?: DropdownLoadEvent | null): Promise<T[]>;
    getAsyncLabel(entity: string, labelProp: string, value: any, env: string, key?: string): Promise<string>;
    getAsyncLabelOld<T>(entity: string, labelProp: string, value: any, env: string, key?: string): Promise<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TaskNotificationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TaskNotificationService>;
}
